httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Perminder Singh Vohra" <perminder_vo...@infosys.com>
Subject [users@httpd] problem in compiling Apache 2.0.54 with openssl 0.9.8
Date Thu, 29 Sep 2005 10:24:29 GMT

Hi,

   I am trying to compile Apache 2.0.54 with openssl 0.9.8 on Solaris 10
but encounter errors during "make" of httpd 2.0.54. The details of the
problem are as given below:-



1.	Environment of Solaris 10:-



-bash-3.00$ echo $PATH

/usr/sfw/bin:/usr/local/bin/:/usr/bin::/usr/ccs/bin:/usr/local/:/usr/ucb
:/etc:/usr/local/lib:/usr/bin::/usr/ccs/bin:/usr/local/

-bash-3.00$ echo $CC

/usr/sfw/bin/gcc

-bash-3.00$





2.	Open SSL built successfully by executing the following
commands:-

# cd openssl-0.9.8

# ./config --prefix=/home/agent6qa/apache2054worker/openssl
--openssldir=/home//agent6qa/apache2054worker/openssl/openssl

# make

# make test

# make install





3.	httpd2.0.54 configured successfully by executing the following
command from httpd.2.054 directory:-

# ./configure --prefix=/home/agent6qa/apache2054worker/
--enable-proxy=shared --enable-so -enable-ssl
--with-ssl=/home/agent6qa/apache2054worker/openssl --with-mpm=worker



4.	After ./configure, "make" command gives the following errors:-

home/agent6qa/install/httpd-2.0.54/srclib/apr/libtool --silent
--mode=compile /usr/sfw/bin/gcc  -g -O2    -DSOLARIS2=10
-D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -DAP_HAVE_DESIGNATED_INITIALIZER
-I/home/agent6qa/install/httpd-2.0.54/srclib/apr/include
-I/home/agent6qa/install/httpd-2.0.54/srclib/apr-util/include
-I/usr/local/include -I. -I/home/agent6qa/install/httpd-2.0.54/os/unix
-I/home/agent6qa/install/httpd-2.0.54/server/mpm/worker
-I/home/agent6qa/install/httpd-2.0.54/modules/http
-I/home/agent6qa/install/httpd-2.0.54/modules/filters
-I/home/agent6qa/install/httpd-2.0.54/modules/proxy
-I/home/agent6qa/install/httpd-2.0.54/include
-I/home/agent6qa/install/httpd-2.0.54/modules/generators
-I/home/agent6qa/apache2054-worker/openssl/include/openssl
-I/home/agent6qa/apache2054-worker/openssl/include -I/usr/sfw/include
-I/home/agent6qa/install/httpd-2.0.54/modules/dav/main -prefer-non-pic
-static -c ssl_engine_pphrase.c && touch ssl_engine_pphrase.lo

ssl_engine_pphrase.c: In function `ssl_pphrase_Handle_CB':

ssl_engine_pphrase.c:684: error: `PEM_F_DEF_CALLBACK' undeclared (first
use in this function)

ssl_engine_pphrase.c:684: error: (Each undeclared identifier is reported
only once

ssl_engine_pphrase.c:684: error: for each function it appears in.)

make[3]: *** [ssl_engine_pphrase.lo] Error 1

make[3]: Leaving directory
`/home/agent6qa/install/httpd-2.0.54/modules/ssl'

make[2]: *** [all-recursive] Error 1

make[2]: Leaving directory
`/home/agent6qa/install/httpd-2.0.54/modules/ssl'

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/home/agent6qa/install/httpd-2.0.54/modules'

make: *** [all-recursive] Error 1





Please suggest a possible solution.







Perminder Vohra

Project Manager



Extn: 6235







**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely for the use of
the addressee(s). If you are not the intended recipient, please notify the sender by e-mail
and delete the original message. Further, you are not to copy, disclose, or distribute this
e-mail or its contents to any other person and any such actions are unlawful. This e-mail
may contain viruses. Infosys has taken every reasonable precaution to minimize this risk,
but is not liable for any damage you may sustain as a result of any virus in this e-mail.
You should carry out your own virus checks before opening the e-mail or attachment. Infosys
reserves the right to monitor and review the content of all messages sent to or from this
e-mail address. Messages sent to or from this e-mail address may be stored on the Infosys
e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***
Mime
View raw message